Hi,
Please find attached an updated version of the patch. Tests with a
recent binutils has shown that the i386->i486 part is not needed
anymore.
Could you please fix it as soon as possible? It is the latest missing
part to get a multiarch capable toolchain in Debian.
Thanks,
Aurelien
--
.''`. Aurelien Jarno | GPG: 1024D/F1BCDB73
: :' : Debian developer | Electrical Engineer
`. `' [EMAIL PROTECTED] | [EMAIL PROTECTED]
`- people.debian.org/~aurel32 | www.aurel32.net
#!/bin/sh -e
## 130_multiarch.dpatch
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Description: Add multiarch directories to the search paths.
## DP: Author: Tollef Fog Heen <[EMAIL PROTECTED]>, Goswin von
## Brederlow <[EMAIL PROTECTED]>
if [ $# -ne 1 ]; then
echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
exit 1
fi
[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
case "$1" in
-patch) patch $patch_opts -p1 < $0;;
-unpatch) patch $patch_opts -p1 -R < $0;;
*)
echo >&2 "`basename $0`: script expects -patch|-unpatch as
argument"
exit 1;;
esac
exit 0
@DPATCH@
--- binutils.orig/ld/genscripts.sh 2006-09-11 11:19:00.000000000 +0000
+++ bintuils/ld/genscripts.sh 2006-09-11 11:19:04.000000000 +0000
@@ -173,6 +173,14 @@
*) LIB_PATH2=${LIB_PATH2}:${lib} ;;
esac
fi
+ if ! [ "x${TOOL_LIB}" = "x" ] ; then
+ # Add multiarch dir for target alias
+ case :${LIB_PATH}: in
+ *:${lib}/${TOOL_LIB}:*) ;;
+ ::) LIB_PATH=${lib}/${TOOL_LIB} ;;
+ *) LIB_PATH=${LIB_PATH}:${lib}/${TOOL_LIB} ;;
+ esac
+ fi
done
case :${LIB_PATH}:${LIB_PATH2}: in